# Uses of Enum Class
io.papermc.paper.world.MoonPhase

Packages that use MoonPhase
Package
Description
io.papermc.paper.world
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of MoonPhase in io.papermc.paper.world

Methods in io.papermc.paper.world that return MoonPhase
Modifier and Type
Method
Description
`static @NotNull MoonPhase`
MoonPhase.`getPhase(long day)`
`static MoonPhase`
MoonPhase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MoonPhase[]`
MoonPhase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of MoonPhase in org.bukkit

Methods in org.bukkit that return MoonPhase
Modifier and Type
Method
Description
`MoonPhase`
RegionAccessor.`getMoonPhase()`